<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingDefaultResource"
    android:background="@color/white">
    <com.ruffian.library.widget.RRelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_36"
        android:layout_marginLeft="@dimen/dp_16"
        android:layout_marginRight="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_56"
        app:corner_radius="@dimen/dp_18"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:background="@color/white"
        app:background_normal="@color/col_2F2">

        <ImageView
            android:id="@+id/img_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/ic_search"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_21"/>

        <EditText
            android:id="@+id/et_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="请输入商品名称"
            android:layout_toRightOf="@+id/img_search"
            android:layout_centerVertical="true"
            android:textColor="@color/col_313"
            android:background="@null"
            android:textColorHint="@color/col_7c7"
            android:imeOptions="actionSearch"
            android:singleLine="true"
            android:inputType="text"
            android:textSize="@dimen/sp_13"
            android:layout_marginLeft="@dimen/dp_7"/>

    </com.ruffian.library.widget.RRelativeLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_17"
        android:background="@color/white"
        android:layout_marginBottom="@dimen/dp_5"
        android:id="@+id/category_recyclerView"/>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/col_6f7"
        android:layout_marginTop="@dimen/dp_30"
        app:srlAccentColor="@color/col_6f7">

    <com.scwang.smart.refresh.header.ClassicsHeader
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:foregroundTint="@color/white"
        app:srlAccentColor="@color/black"
        app:srlPrimaryColor="@color/white" />

    <androidx.recyclerview.widget.RecyclerView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginLeft="@dimen/dp_7"
        android:layout_marginRight="@dimen/dp_7"
        android:id="@+id/recyclerView"/>

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>